Subject: Re: bug#4816: change of coding system without inquiry

From: Stefan Monnier <[email-masked]>
Date: Mon, 02 Nov 2009 02:05:41 -0500

>> I think you're right that we should at least do a y-or-n-p prompt
>> when changing the buffer-file-coding-system, unless the change is to
>> a "superset coding system" (like from us-ascii to latin-1).

> FWIW, in the past users explicitly expressed annoyance by these
> questions.  The request was to use the "native" encoding silently.
> By introducing back this question, we are restoring that annoyance.

IIRC, the annoyance was only when saving a formerly us-ascii file
(typical example: an empty or not-yet-existing file).
But, yes, I know this is delicate.

        Stefan